clc;
close all;
clear;

c=299792458;
f=c*10;
lambda=c/f;

N=1001;
% [I_1,sigma_1,phi_1,time_1,iter_1]=te_wave_MFIE(2*lambda,N,f,'direct');
% %[I_2,sigma_2,phi_2,time_2,iter_2]=te_wave_EFIE(2*lambda,N,f,'direct');
% [Ia,bsew]=te_analytical(2*lambda,phi_1,f);
% 
% figure
% plot(phi_1, I_1, '-r');
% hold on
% % plot(phi_1, I_2, '-k');
% % hold on
% plot(phi_1, Ia, '-b');
% ylabel('J current')
% xlabel('\phi')
% set(myPlot2,'Position',[400, 400,400,250])
% legend('TE MFIE direct','TE EFIE direct', 'Analytical')
% grid on
% 
% figure
% plot(phi_1, sigma_1, '-r');
% hold on
% plot(phi_1, sigma_2, '-k');
% hold on
% plot(phi_1, bsew, '-b');
% ylabel('Bistatic width')
% xlabel('\phi')
% legend('TE MFIE direct','TE EFIE direct', 'Analytical')


%Iterative solver
[I_1,sigma_1,phi_1,time_1,iter_1]=te_wave_MFIE(2*lambda,N,f,'conjgr');
%[I_2,sigma_2,phi_2,time_2,iter_2]=te_wave_EFIE(2*lambda,N,f,'conjgr');
[Ia,bsew]=te_analytical(2*lambda,phi_1,f);

myPlot1=figure;
plot(phi_1*180/pi, abs(I_1), '-.r','LineWidth',2);
hold on
% plot(phi_1*180/pi, I_2, '-k');
% hold on
plot(phi_1*180/pi, abs(Ia), '-k');
ylabel('J current')
xlabel('\phi')
xlim([0 360])
set(gca,'xtick',0:60:360)
set(myPlot1,'Position',[400, 400,400,250])
legend('TE MFIE','Analytical')
grid on

myPlot2=figure;
plot(phi_1*180/pi, abs(sigma_1), '-.r','LineWidth',2);
hold on
% plot(phi_1*180/pi, sigma_2, '-k');
% hold on
plot(phi_1*180/pi, abs(bsew), '-k');
ylabel('Bistatic width')
xlabel('\phi')
xlim([0 360])
set(gca,'xtick',0:60:360)
set(myPlot2,'Position',[400, 400,400,250])
legend('TE MFIE','Analytical')
grid on