clc;
close all;
clear;

c=299792458;
f=c/10;
lambda=c/f;

N=501;
[I_1,sigma_1,phi_1,time_1,iter_1]=tm_wave_EFIE(2*lambda,N,f,'direct');
[Ia,bsew]=tm_analytical(2*lambda,phi_1,f);

figure
plot(phi_1, I_1, '-r');
hold on
plot(phi_1, Ia*max(I_1)/max(Ia), '-b');
ylabel('J current')
xlabel('\phi')
legend('TM EFIE direct','Analytical')

figure
plot(phi_1, sigma_1, '-r');
hold on
plot(phi_1, bsew*max(sigma_1)/max(bsew), '-b');
ylabel('Bistatic width')
xlabel('\phi')
legend('TM EFIE direct','Analytical')

%% Iterative solver
[I_1,sigma_1,phi_1,time_1,iter_1]=tm_wave_EFIE(2*lambda,N,f,'conjgr');
[Ia,bsew]=tm_analytical(2*lambda,phi_1,f);

figure
plot(phi_1, I_1, '-r');
hold on
plot(phi_1, Ia*max(I_1)/max(Ia), '-b');
ylabel('J current')
xlabel('\phi')
legend('TM EFIE FFT','Analytical')

figure
plot(phi_1, sigma_1, '-r');
hold on
plot(phi_1, bsew*max(sigma_1)/max(bsew), '-b');
ylabel('Bistatic width')
xlabel('\phi')
legend('TM EFIE FFT','Analytical')