clc;
close all;
clear;

%Keep the radius 2*lambda and number of nodes and sweep the frequency
c=299792458;
%f1=[0.01:0.01:0.09 0.1:0.1:0.9 1:1:9 10:10:90 100:100:900];
f1=1:1:9;

f=c.*f1;
ND=1001;
lambda=c./f;

N=length(f1);

err_TEEF_f = zeros(1,N);
err_TEMF_f = zeros(1,N);
err_TMEF_f = zeros(1,N);

%Using conjugate solver to find accuracy
for i=1:N
    [I_1,sigma_1,phi_1,time,iter]=te_wave_EFIE(2*lambda(i),ND,f(i),'conjgr');
    [I_2,sigma_2,phi_2,time,iter]=te_wave_MFIE(2*lambda(i),ND,f(i),'conjgr');
    [Ia1,bsew1]=te_analytical(2*lambda(i),phi_1(1:end-1), f(i));
    [Ia2,bsew2]=te_analytical(2*lambda(i),phi_2, f(i));

    err_TEEF_f(i) = norm(I_1 - Ia1)/norm(Ia1);
    err_TEMF_f(i) = norm(I_2 - Ia2)/norm(Ia2); 
    
    [I_3,sigma_3,phi_3,time,iter]=tm_wave_EFIE(2*lambda(i),ND,f(i),'conjgr');
    [Ia_2,bsew_2]=tm_analytical(2*lambda(i),phi_3,f(i)); 

    err_TMEF_f(i) = norm(I_3 - Ia_2)/norm(Ia_2);    
end

save TestFrequencySweeping.mat;

myPlot2=figure;
plot(f, err_TEEF_f, '-or');
hold on
plot(f, err_TEMF_f, '-+b');
hold on
plot(f, err_TMEF_f, '-*k');
set(gca, 'YScale','log');
set(gca, 'XScale','log');
xlabel('Frequency (Hz)')
ylabel('Error')
xlim([2E8 3E9])
ylim([1E-7 1])
legend('TE EFIE','TE MFIE', 'TM EFIE')
set(myPlot2,'Position',[400, 400,400,250])
grid on