function [Ia,bsew]=te_analytical(r, phi, f)

%universal constants
N = length(phi)+1;
c=299792458;
u0=4*pi*1e-7;
e0=1/(c^2*u0);

%chosen for the problem
H0 = 1;

%calculated from these chosen constants
lambda = c/f;
beta = 2*pi*f*sqrt(u0*e0);
a = r;
Jadd = 0;
bsewadd = 0;

%Hankel functions
Jnp = @(n,in) 1/2*(besselj(n-1,in) - besselj(n+1,in));
Hn2p = @(n,in) 1/2*(besselh(n-1,2,in) - besselh(n+1,2,in));
prod = beta*a;

index = 32;
Ia=zeros(N-1,1);
bsew=zeros(N-1,1);
for p =1:N-1 % for each phi
    for n = - index:index %do a summation from -inf to inf
        bn = - Jnp(n,prod)/Hn2p(n,prod);
        Jadd(n+index+1) = (j^(-n)*exp(j*n*phi(p)))/Hn2p(n,prod); %harrington
        bsewadd(n+index+1) = bn*exp(j*n*phi(p)); %balanis
    end
    Ia(p) = j*2*H0 / (pi*beta*a) * sum(Jadd); %harrington
    bsew(p) =  2*lambda/pi* abs(sum(bsewadd)).^2; %balanis
end