function [Ia,bsew]=tm_analytical(r,phi,f)

%universal constants
c=299792458;
u0=4*pi*1e-7;
e0=1/(c^2*u0);

%chosen for the problem
E0 = 1;

%calculated from these chosen constants
lambda = c/f;
omega=2*pi*f;
beta = 2*pi*f*sqrt(u0*e0);
a = r;
Jadd = 0;
bsewadd = 0;

%Hankel functions
Jn = @(n,in) (besselj(n,in));
Hn2 = @(n,in) besselh(n, 2, in);
prod = beta*a;


index = 32;
for n = - index:index %do a summation from -inf to inf
    bn = Jn(n,prod)/Hn2(n,prod);
    Jadd = Jadd+ (j^(-n)*exp(j*n*phi))/Hn2(n,prod); %harrington
    bsewadd = bsewadd + bn*exp(j*n*phi); %balanis
    
    %%% can maybe decrease simulation time taking advantage of symmetry -
    %%% see balanis pg 625, eqn 11-155
end
Ia = sqrt(u0/e0)*2*E0 / (pi*u0*omega*a) * Jadd; %harrington
bsew =  4/beta* abs(sqrt(u0/e0)*bsewadd).^2; %balanis