function [x,k] = cgfft(Arow,b,tol)

% CONJGRAD  Conjugate Gradient Method.
%
% By Yi Cao at Cranfield University, 18 December 2008.
%
% Toeplitz matrix multiplication added 5 May 2009.

    if nargin<3
        tol=1e-10;
    end
    r = b + toeplitzmult(transpose(Arow),Arow,b);
    y = -r;
    z = toeplitzmult(transpose(Arow),Arow,y);
    s = y.'*z;
    t = (r.'*y)/s;
    x = -b + t*y;
  
    for k = 1:numel(b);
       r = r - t*z;
       if( norm(r) < tol )
            return;
       end
       B = (r.'*z)/s;
       y = -r + B*y;
       z = toeplitzmult(transpose(Arow),Arow,y);
       s = y.'*z;
       t = (r.'*y)/s;
       x = x + t*y;
    end
 end
