
%universal constants
N = length(phi)+1;
c=299792458;
u0=4*pi*1e-7;
e0=1/(c^2*u0);

%chosen for the problem
H0 = 1;
theta = pi/2;
ind = 100;
f = c;

%calculated from these chosen constants
lambda = c/f;
beta = 2*pi*f*sqrt(u0*e0);
a = 2*lambda;
z = 1;
Jadd = 0;
Jadd2 = 0;
Jadd3 = 0;

%Hankel functions
Jnp = @(n,in) 1/2*(besselj(n-1,in) - besselj(n+1,in));
Hn2 = @(n,in) besselh(n, 2, in);
Hn2p = @(n,in) 1/2*(besselh(n-1,2,in) - besselh(n+1,2,in));
prod = beta*a

index = 32
for p =1:N-1 % for each phi
for n = - index:index %do a summation from -inf to inf
    Jadd(n+index+1) = (j^(-n)*exp(j*n*phi(p)))/Hn2p(n,prod);
end
I1(p) = j*2*H0 / (pi*beta*a) * sum(Jadd);

for n = - index*2:index*2 %do a summation from -inf to inf
    Jadd2(n+index*2+1) = (j^(-n)*exp(j*n*phi(p)))/Hn2p(n,prod);
end
I2(p) = j*2*H0 / (pi*beta*a) * sum(Jadd2);

for n = - 200:200 %do a summation from -inf to inf
    Jadd3(n+201) = (j^(-n)*exp(j*n*phi(p)))/Hn2p(n,prod);
end
I3(p) = j*2*H0 / (pi*beta*a) * sum(Jadd3);


end

plot(phi,log10(abs(I1-I3)))
