function [Ia,bsew]=te_analytical(phi)
%universal constants
N = length(phi)+1;
c=299792458;
u0=4*pi*1e-7;
e0=1/(c^2*u0);

%chosen for the problem
H0 = 1;
theta = pi/2;
f = c;

%calculated from these chosen constants
lambda = c/f;
beta = 2*pi*f*sqrt(u0*e0);
a = 2*lambda;
z = 1;
Jadd = 0;
bsewadd = 0;

%Hankel functions
Jnp = @(n,in) 1/2*(besselj(n-1,in) - besselj(n+1,in));
Hn2 = @(n,in) besselh(n, 2, in);
Hn2p = @(n,in) 1/2*(besselh(n-1,2,in) - besselh(n+1,2,in));
prod = beta*a;

index = 32;
%for p =1:N-1 % for each phi
for n = - index:index %do a summation from -inf to inf
    bn = - Jnp(n,prod)/Hn2p(n,prod);
    Jadd = Jadd+ (j^(-n)*exp(j*n*phi))/Hn2p(n,prod); %harrington
    bsewadd = bsewadd + bn*exp(j*n*phi); %balanis
    
    %%% can maybe decrease simulation time taking advantage of symmetry -
    %%% see balanis pg 625, eqn 11-155
end
Ia = j*2*H0 / (pi*beta*a) *Jadd; %harrington
bsew =  4/beta* abs(bsewadd).^2; %balanis
%end

save bsew;
save Ia;

